> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume sensors by deliveries



## OpenAPI

````yaml put /sensor_link/resume/deliveries
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /sensor_link/resume/deliveries:
    put:
      tags:
        - Sensor Links
      summary: Resume sensors by deliveries
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PauseResumeStopInput'
      responses:
        '200':
          description: Successfully updated sensor_link
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Sensor_link'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Sensor_link not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    PauseResumeStopInput:
      type: object
      description: >-
        IDs of entities (deliveries, shipments, handling units, or sensors) to
        pause, resume, or stop
      properties:
        ids:
          type: array
          items:
            type: string
            format: uuid
          description: Array of entity IDs
      required:
        - ids
    Sensor_link:
      type: object
      description: Sensor_link entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        sensor_id:
          type: string
          format: uuid
          description: Sensor ID
        delivery_id:
          type: string
          format: uuid
          description: Delivery ID
        shipment_id:
          type: string
          format: uuid
          description: Shipment ID
        status:
          type: string
          description: Status
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        handling_unit_history_id:
          type: string
          format: uuid
          description: Handling unit_history ID
        pending_upload_data:
          type: boolean
          description: Pending Upload Data
        zone_id:
          type: string
          format: uuid
          description: Zone ID
          nullable: true
        scope:
          type: string
          enum:
            - DELIVERY
            - SHIPMENT
            - HANDLING_UNIT
            - ZONE
          description: Sensor link scope
          default: HANDLING_UNIT
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````